Amazon Product
curl --request GET \
--url https://gladeapi.com/api/amazon/product \
--header 'API-KEY: <api-key>'import requests
url = "https://gladeapi.com/api/amazon/product"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://gladeapi.com/api/amazon/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"amazonProduct": {
"title": "<string>",
"asin": "<string>",
"subtitle": "<string>",
"brand": "<string>",
"url": "<string>",
"isPrime": true,
"isNew": true,
"isInStock": true,
"price": {
"symbol": "<string>",
"value": 123,
"currency": "<string>",
"display": "<string>"
},
"mainImageUrl": "<string>",
"imageUrls": [
"<string>"
],
"rating": 123,
"ratingsTotal": 4503599627370495,
"featureBullets": [
"<string>"
],
"technicalSpecifications": [
{
"name": "<string>",
"value": "<string>"
}
],
"categories": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
}
],
"coupon": {
"label": "<string>"
},
"seller": {
"sellerId": "<string>",
"name": "<string>"
}
}
}
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}Products
Get Amazon Product Details
Get normalized Amazon product details by ASIN, GTIN, or product URL.
GET
/
api
/
amazon
/
product
Amazon Product
curl --request GET \
--url https://gladeapi.com/api/amazon/product \
--header 'API-KEY: <api-key>'import requests
url = "https://gladeapi.com/api/amazon/product"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://gladeapi.com/api/amazon/product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"amazonProduct": {
"title": "<string>",
"asin": "<string>",
"subtitle": "<string>",
"brand": "<string>",
"url": "<string>",
"isPrime": true,
"isNew": true,
"isInStock": true,
"price": {
"symbol": "<string>",
"value": 123,
"currency": "<string>",
"display": "<string>"
},
"mainImageUrl": "<string>",
"imageUrls": [
"<string>"
],
"rating": 123,
"ratingsTotal": 4503599627370495,
"featureBullets": [
"<string>"
],
"technicalSpecifications": [
{
"name": "<string>",
"value": "<string>"
}
],
"categories": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"breadcrumbPath": "<string>"
}
],
"coupon": {
"label": "<string>"
},
"seller": {
"sellerId": "<string>",
"name": "<string>"
}
}
}
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"success": false,
"errors": [
{
"code": 123,
"message": "<string>",
"path": [
"<string>"
]
}
]
}Pass exactly one of
asin, gtin, or url.Authorizations
ApiKeyAuthBearerAuth
Query Parameters
Amazon marketplace code.
Available options:
US, UK, CA, DE, FR, IT, ES, AU, IN, MX, BR, JP, PL A 10-character Amazon Standard Identification Number.
Pattern:
^[A-Za-z0-9]{10}$A canonical HTTPS product URL on a supported Amazon host.
A valid ISBN-10, UPC, EAN, or GTIN value.
Response
Successful Amazon data response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

